Bug 1285357 - [GSS](6.4.z) Port-offset incorrectly displayed in admin console
[GSS](6.4.z) Port-offset incorrectly displayed in admin console
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Ryan Emerson
Pavel Jelinek
:
Depends On:
Blocks: 1274291 eap647-payload
  Show dependency treegraph
 
Reported: 2015-11-25 07:59 EST by Ranjith Pulluru
Modified: 2017-01-17 06:57 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:57:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Admin console screen-shot (68.77 KB, image/png)
2015-11-25 07:59 EST, Ranjith Pulluru
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-993 Major Resolved Server-group Port-offset overriding not displayed in Domain mode 2017-10-26 12:56 EDT
JBoss Issue Tracker JBEAP-2053 Major Closed Web Console: Server-group Port-offset overriding not displayed in Domain mode 2017-10-26 12:56 EDT
Red Hat Knowledge Base (Solution) 2191881 None None None 2016-03-07 19:17 EST

  None (edit)
Description Ranjith Pulluru 2015-11-25 07:59:22 EST
Created attachment 1098798 [details]
Admin console screen-shot

Description of problem:
=======================
 - Port-offset incorrectly displayed in JBoss EAP 6.4.4 admin console 

Version-Release number of selected component (if applicable):
==============================================================
 - JBoss EAP 6.4.4

Steps to Reproduce:
===================
1) Take a fresh JBoss EAP 6.4.4 version.
2) Configure port-offset in `domain.xml` file under server-groups as below:
-------
 <server-groups>
        <server-group name="main-server-group" profile="full">
            <jvm name="default">
                <heap size="1000m" max-size="1000m"/>
                <permgen max-size="256m"/>
            </jvm>
            <socket-binding-group ref="full-sockets" port-offset="100"/>   <= *Configuration added here
        </server-group>
		:
 </server-groups>
-------
3) No port-offset present in host.xml file and configuration looks as below
-------
    <servers>
        <server name="server-one" group="main-server-group">
        </server>
        :
     </servers>   
-------

4) Then start the JBoss server in domain mode.

5) Open the JBoss EAP 6.4.4 admin console and navigate to 
     Domain tab -> Overview -> Hosts, groups and server instances are displayed.

6) The port-offset for the servers of main-server-group are displayed as 0.

Actual results:
===============
- Port-offset for the servers of main-server-group are displayed as 0 which is wrong.

Expected results:
=================
- Port-offset for the servers of main-server-group should display 100.
Comment 1 JBoss JIRA Server 2015-12-02 10:38:36 EST
Ryan Emerson <remerson@redhat.com> updated the status of jira HAL-993 to Open
Comment 2 JBoss JIRA Server 2015-12-02 10:38:58 EST
Ryan Emerson <remerson@redhat.com> updated the status of jira HAL-993 to Coding In Progress
Comment 3 JBoss JIRA Server 2015-12-02 10:40:27 EST
Ryan Emerson <remerson@redhat.com> updated the status of jira JBEAP-2053 to Closed
Comment 4 JBoss JIRA Server 2015-12-02 10:40:31 EST
Ryan Emerson <remerson@redhat.com> updated the status of jira JBEAP-2053 to Reopened
Comment 6 JBoss JIRA Server 2015-12-04 07:14:12 EST
Ryan Emerson <remerson@redhat.com> updated the status of jira JBEAP-2053 to Closed
Comment 7 JBoss JIRA Server 2015-12-04 07:14:17 EST
Ryan Emerson <remerson@redhat.com> updated the status of jira JBEAP-2053 to Reopened
Comment 8 JBoss JIRA Server 2016-01-25 15:39:01 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-993 to Resolved
Comment 9 JBoss JIRA Server 2016-01-25 15:39:43 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira JBEAP-2053 to Resolved
Comment 12 Michael Cada 2016-03-01 09:25:09 EST
Verified on EAP 6.4.7.CP.CR2
Comment 13 JBoss JIRA Server 2016-06-14 07:36:57 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-2053 to Closed
Comment 14 Petr Penicka 2017-01-17 06:57:15 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.